# --- 系统文件 ---
.DS_Store
*.swp
*.lock
.expo/*

# --- 依赖目录 ---
node_modules/
/dist/

# --- iOS 构建相关 (在使用 EAS 或本地构建时产生) ---
ios/
*.xcworkspace
*.xcodeproj
/ios/build
/ios/Pods
/ios/.xccheckout
/ios/*.moved-aside
/ios/*.pbxuser
/ios/*.mode1v3

# --- Android 构建相关 ---
android/
*.iml
*.aar
*.jks
*.keystore

# --- Expo 编译与缓存 ---
.expo/
web-build/
.expo-shared/

# --- 环境变量与私钥 (上架时的关键) ---
.env
.env.local
.env.development.local
.env.test.local
.env.production.local

# EAS 构建生成的私钥和配置 (千万不要上传到 GitHub)
eas-build-pre-install.sh
*.p12
*.mobileprovision
*.endpoint
credentials.json

# --- 性能日志 ---
npm-debug.log*
yarn-debug.log*
yarn-error.log*

# --- 编辑器配置 ---
.vscode/
.idea/
# @generated expo-cli sync-2b81b286409207a5da26e14c78851eb30d8ccbdb
# The following patterns were generated by expo-cli

expo-env.d.ts
# @end expo-cli

supermart-mini/
supermart-app/
